org.wso2.carbon.device.mgt.mobile.windows.api.operations.util

## Class OperationReply

- java.lang.Object
- - org.wso2.carbon.device.mgt.mobile.windows.api.operations.util.OperationReply

-     public class OperationReply
      extends Object

  Used to generate a reply to a receiving syncml from a device.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OperationReply()`
    `OperationReply(SyncmlDocument syncmlDocument)`
    `OperationReply(SyncmlDocument syncmlDocument, List<? extends org.wso2.carbon.device.mgt.common.operation.mgt.Operation> operations)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<ItemTag>` | `buildDeletePasscodeData(org.wso2.carbon.device.mgt.common.operation.mgt.Operation operation)`
    `List<ItemTag>` | `buildMonitorOperation(List<org.wso2.carbon.device.mgt.common.policy.mgt.ProfileFeature> effectiveMonitoringFeature)`
    `SequenceTag` | `buildSequence(org.wso2.carbon.device.mgt.common.operation.mgt.Operation operation, SequenceTag sequenceElement)`
    `ExecuteTag` | `executeCommand(org.wso2.carbon.device.mgt.common.operation.mgt.Operation operation)`
    `AddTag` | `generatePasscodeBooleanData(org.wso2.carbon.device.mgt.common.operation.mgt.Operation operation, OperationCode.Configure configure)`
    `AddTag` | `generatePasscodePolicyData(OperationCode.Configure configure, int policyData)`
    `SyncmlDocument` | `generateReply()`
    `String` | `generateReply(SyncmlDocument syncmlDocument, List<? extends org.wso2.carbon.device.mgt.common.operation.mgt.Operation> operations)` Generate Device payloads.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OperationReply

          public OperationReply(SyncmlDocument syncmlDocument,
                        List<? extends org.wso2.carbon.device.mgt.common.operation.mgt.Operation> operations)

    - #### OperationReply

          public OperationReply(SyncmlDocument syncmlDocument)

    - #### OperationReply

          public OperationReply()

  - ### Method Detail

    - #### generateReply

          public String generateReply(SyncmlDocument syncmlDocument,
                             List<? extends org.wso2.carbon.device.mgt.common.operation.mgt.Operation> operations)
                               throws SyncmlMessageFormatException,
                                      SyncmlOperationException

      Generate Device payloads.
      Parameters:
        `syncmlDocument` - Parsed syncml payload from the syncml engine.
        `operations` - Operations for generate payload.
      Returns:
        String type syncml payload.
      Throws:
        `WindowsOperationException`
        `org.wso2.carbon.policy.mgt.common.PolicyManagementException`
        `org.wso2.carbon.policy.mgt.common.FeatureManagementException`
        `SyncmlMessageFormatException`
        `SyncmlOperationException`

    - #### generateReply

          public SyncmlDocument generateReply()
                                       throws SyncmlMessageFormatException,
                                              SyncmlOperationException

      Throws:
        `SyncmlMessageFormatException`
        `SyncmlOperationException`

    - #### executeCommand

          public ExecuteTag executeCommand(org.wso2.carbon.device.mgt.common.operation.mgt.Operation operation)

    - #### buildSequence

          public SequenceTag buildSequence(org.wso2.carbon.device.mgt.common.operation.mgt.Operation operation,
                                  SequenceTag sequenceElement)
                                    throws org.json.JSONException,
                                           SyncmlOperationException

      Throws:
        `org.json.JSONException`
        `SyncmlOperationException`

    - #### buildMonitorOperation

          public List<ItemTag> buildMonitorOperation(List<org.wso2.carbon.device.mgt.common.policy.mgt.ProfileFeature> effectiveMonitoringFeature)

    - #### buildDeletePasscodeData

          public List<ItemTag> buildDeletePasscodeData(org.wso2.carbon.device.mgt.common.operation.mgt.Operation operation)

    - #### generatePasscodePolicyData

          public AddTag generatePasscodePolicyData(OperationCode.Configure configure,
                                          int policyData)

    - #### generatePasscodeBooleanData

          public AddTag generatePasscodeBooleanData(org.wso2.carbon.device.mgt.common.operation.mgt.Operation operation,
                                           OperationCode.Configure configure)

Copyright © 2017 WSO2. All rights reserved.